osgAnimation::ClearActionVisitor Class Reference

`#include <ActionVisitor>`

Inheritance diagram for osgAnimation::ClearActionVisitor:

## Public Types

enum | ClearType { BEFORE_FRAME , AFTER_FRAME }

## Public Member Functions

| META_ActionVisitor (osgAnimation, ClearActionVisitor)
| ClearActionVisitor (ClearType type=BEFORE_FRAME)
void | setFrame (unsigned int frame)
void | apply (Timeline &action)
void | apply (Action &action)
Public Member Functions inherited from osgAnimation::ActionVisitor
| META_ActionVisitor (osgAnimation, ActionVisitor)
| ActionVisitor ()
void | traverse (Action &visitor)
void | pushFrameActionOnStack (const FrameAction &fa)
void | popFrameAction ()
void | pushTimelineOnStack (Timeline *tm)
void | popTimeline ()
Timeline * | getCurrentTimeline ()
void | setCurrentLayer (int layer)
int | getCurrentLayer () const
const std::vector< FrameAction > & | getStackedFrameAction () const
virtual void | apply (ActionBlendIn &action)
virtual void | apply (ActionBlendOut &action)
virtual void | apply (ActionAnimation &action)
virtual void | apply (ActionStripAnimation &action)
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Attributes

unsigned int | _frame
std::vector< osg::ref_ptr< Action > > | _remove
ClearType | _clearType
Protected Attributes inherited from osgAnimation::ActionVisitor
std::vector< FrameAction > | _stackFrameAction
std::vector< Timeline * > | _stackTimeline
int | _currentLayer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Member Enumeration Documentation

## ClearType

enum osgAnimation::ClearActionVisitor::ClearType

Enumerator
BEFORE_FRAME |
AFTER_FRAME |

## Constructor & Destructor Documentation

## ClearActionVisitor()

osgAnimation::ClearActionVisitor::ClearActionVisitor | ( | ClearType | type = BEFORE_FRAME | ) |

References BEFORE_FRAME.

Referenced by META_ActionVisitor().

## Member Function Documentation

## apply() [1/2]

void osgAnimation::ClearActionVisitor::apply | ( | Action & | action | ) |

virtual

Reimplemented from osgAnimation::ActionVisitor.

## apply() [2/2]

void osgAnimation::ClearActionVisitor::apply | ( | Timeline & | action | ) |

virtual

Reimplemented from osgAnimation::ActionVisitor.

## META_ActionVisitor()

osgAnimation::ClearActionVisitor::META_ActionVisitor | ( | osgAnimation | ,
|  | ClearActionVisitor | )

References ClearActionVisitor().

## setFrame()

void osgAnimation::ClearActionVisitor::setFrame | ( | unsigned int | frame | ) |

inline

References _frame.

## Member Data Documentation

## _clearType

ClearType osgAnimation::ClearActionVisitor::_clearType

protected

## _frame

unsigned int osgAnimation::ClearActionVisitor::_frame

protected

Referenced by setFrame().

## _remove

std::vector<osg::ref_ptr<Action> > osgAnimation::ClearActionVisitor::_remove

protected

The documentation for this class was generated from the following file:

- ActionVisitor